2017-11-21 03:48 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000042Cheat Enginepublic2008-05-08 00:38
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000042: Copy to clipboard always copies both bytes and opcodes
DescriptionIn the memory view, if you can right-click an instruction, the context menu contains a menu item called "Copy to clipboard" - a feature that I requested some time ago ;-)
You can copy bytes+opcodes:
009690C5 - 6a ff - push ff
You can copy bytes:
009690C5 - 6a ff - push ff
You can copy opcodes:
009690C5 - 6a ff - push ff
As you can see, all three are the same - this is the problem, actually; they are supposed to be different...
Thanks for fixing.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000034resolvedDark Byte Assembler assignes wrong code 
has duplicate 0000085resolvedDark Byte Copy assembly code to clipboard 
+Relationships

-Notes

~0000084

Dark Byte (developer)

This bug has been fixed. It was brought up in bugid 34 , and should even be in the fixed release here: http://cheatengine.org/downloads/CheatEngine541.exe (really minor fixes not worth of a release yet, but this bugfix is one of them)
+Notes

-Issue History
Date Modified Username Field Change
2008-05-07 21:23 Csimbi New Issue
2008-05-08 00:37 Dark Byte Relationship added related to 0000034
2008-05-08 00:38 Dark Byte Status new => resolved
2008-05-08 00:38 Dark Byte Resolution open => fixed
2008-05-08 00:38 Dark Byte Assigned To => Dark Byte
2008-05-08 00:38 Dark Byte Note Added: 0000084
2008-11-30 01:03 Dark Byte Relationship added has duplicate 0000085
+Issue History